package com.bonus.canteen.core.auth.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(
   prefix = "system.login"
)
public class LoginProperties {
   public static final String PREFIX = "system.login";
   private Integer reservedRecentNum;

   public Integer getReservedRecentNum() {
      return this.reservedRecentNum;
   }

   public void setReservedRecentNum(final Integer reservedRecentNum) {
      this.reservedRecentNum = reservedRecentNum;
   }

   public String toString() {
      return "LoginProperties(reservedRecentNum=" + this.getReservedRecentNum() + ")";
   }
}
